Package fr.gouv.vitam.antivirus.client.invoker

# Class JavaTimeFormatter

java.lang.Object
fr.gouv.vitam.antivirus.client.invoker.JavaTimeFormatter

Direct Known Subclasses:
  `ApiClient`

@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen", date="2025-10-29T21:12:11.613695899+01:00[Europe/Paris]", comments="Generator version: 7.4.0") public class JavaTimeFormatter extends Object
Class that add parsing/formatting support for Java 8+ `OffsetDateTime` class. It's generated for java clients when `AbstractJavaCodegen#dateLibrary` specified as `java8`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaTimeFormatter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `formatOffsetDateTime(OffsetDateTime offsetDateTime)`
  Format the given `OffsetDateTime` object into string.
  `DateTimeFormatter`
  `getOffsetDateTimeFormatter()`
  Get the date format used to parse/format `OffsetDateTime` parameters.
  `OffsetDateTime`
  `parseOffsetDateTime(String str)`
  Parse the given string into `OffsetDateTime` object.
  `void`
  `setOffsetDateTimeFormatter(DateTimeFormatter offsetDateTimeFormatter)`
  Set the date format used to parse/format `OffsetDateTime` parameters.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaTimeFormatter

    public JavaTimeFormatter()

- ## Method Details

  - ### getOffsetDateTimeFormatter

    public DateTimeFormatter getOffsetDateTimeFormatter()
    Get the date format used to parse/format `OffsetDateTime` parameters.
    Returns:
      DateTimeFormatter

  - ### setOffsetDateTimeFormatter

    public void setOffsetDateTimeFormatter(DateTimeFormatter offsetDateTimeFormatter)
    Set the date format used to parse/format `OffsetDateTime` parameters.
    Parameters:
      `offsetDateTimeFormatter` - `DateTimeFormatter`

  - ### parseOffsetDateTime

    public OffsetDateTime parseOffsetDateTime(String str)
    Parse the given string into `OffsetDateTime` object.
    Parameters:
      `str` - String
    Returns:
      `OffsetDateTime`

  - ### formatOffsetDateTime

    public String formatOffsetDateTime(OffsetDateTime offsetDateTime)
    Format the given `OffsetDateTime` object into string.
    Parameters:
      `offsetDateTime` - `OffsetDateTime`
    Returns:
      `OffsetDateTime` in string format